1. Product analytics
Attribuly Developers
  • Public API
    • API Authentication Guide
    • Attribution
      • All
        • Get attribution report
        • Get total numbers
      • Ads
        • Channel/Campaign/Ad-set/Ad level ads attribution
        • list all customer level details
        • Customer level report for a specific campaign
      • Product analytics
        • List product analytics
          POST
        • List total data for product analysis
          POST
        • Attribution report for a single product
          POST
        • Total attribution report for a single product
          POST
      • Web Analytics
        • Web Analytics
        • Get total numbers
    • Tracking links
      • Influencer
      • Link Builder
    • Store
      • Raw Events
      • Customer journey of an order
      • Order First & Last Touchpoint of an order
      • Event summary of a landing page
    • Setting
      • Attribution models
      • Conversion Goals
    • Connections
      • List Source
      • List Destination
  • Push data to Attribuly
    • Quick Start
    • Events
      • Page viewed
      • Cart viewed
      • Product viewed
      • Collection viewed
      • Search submitted
      • Product added to cart
      • Product removed to cart
      • Lead form
      • Checkout started
      • Payment info submitted
      • Checkout completed
      • Checkout address info submitted
      • Checkout contact info submitted
      • Checkout shipping info submitted
      • Basic
        • Checkout
        • Context
        • Document
        • MailAddress
        • Navigator
        • Window
    • Store
      • Order
      • Customers
      • Products
  • Attribuly MCP Server
    • MCP Configure
  1. Product analytics

List total data for product analysis

prod
https://data.api.attribuly.com
prod
https://data.api.attribuly.com
POST
/{version}/api/get/product-analysis/list-sum
Rate limits: 5 requests per second.
version: v2-4-2.

Request

Path Params

Header Params

Body Params application/json

Examples

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://data.api.attribuly.com/v2-4-2/api/get/product-analysis/list-sum' \
--header 'ApiKey: 15xvome1000dh5vsow9geg7110yi43zd' \
--header 'Content-Type: application/json' \
--data-raw '{
  "start_date": "2025-05-15",
  "end_date": "2025-05-21",
  "filters": [
    {
      "column": "variant_id",
      "operation": "equal",
      "values": [
        "43323899117824"
      ]
    }
  ]
}'
Response Response Example
{
    "code": 1,
    "message": "Service succeed",
    "data": {
        "revenue": 0,
        "product_viewed_count": 0,
        "product_viewed_user_count": 0,
        "product_added_to_cart_count": 0,
        "product_added_to_cart_user_count": 0,
        "checkout_started_count": 0,
        "checkout_started_user_count": 0,
        "payment_info_submitted_count": 0,
        "payment_info_submitted_user_count": 0,
        "checkout_shipping_info_submitted_count": 0,
        "checkout_shipping_info_submitted_user_count": 0,
        "checkout_address_info_submitted_count": 0,
        "checkout_address_info_submitted_user_count": 0,
        "checkout_contact_info_submitted_count": 0,
        "checkout_contact_info_submitted_user_count": 0,
        "checkout_completed_count": 0,
        "checkout_completed_user_count": 0,
        "product_spend": 0,
        "product_quantity": 0,
        "product_average_quantity": 0,
        "roas": 0,
        "new_customer_roas": 0,
        "cpa": 0,
        "atc_to_purchase": 0,
        "uv_atc_to_purchase": 0
    }
}
Modified at 2026-03-16 10:02:29
Previous
List product analytics
Next
Attribution report for a single product
Built with